Aller au contenu

AutoCAD 2020-2023


482 sujets dans ce forum

    • 11 réponses
    • 707 vues
    • 7 réponses
    • 908 vues
    • 3 réponses
    • 821 vues
    • 7 réponses
    • 1 k vues
  1. ALFREDO

    • 6 réponses
    • 783 vues
    • 4 réponses
    • 522 vues
    • 9 réponses
    • 799 vues
    • 16 réponses
    • 564 vues
    • 0 réponse
    • 507 vues
  2. Clic non pris en compte

    • 21 réponses
    • 2,4 k vues
    • 4 réponses
    • 575 vues
    • 5 réponses
    • 582 vues
    • 24 réponses
    • 3,5 k vues
    • 5 réponses
    • 867 vues
    • 1 réponse
    • 1,3 k vues
    • 6 réponses
    • 604 vues
    • 5 réponses
    • 790 vues
    • 2 réponses
    • 753 vues
    • 9 réponses
    • 1 k vues
    • 0 réponse
    • 489 vues
    • 13 réponses
    • 586 vues
    • 24 réponses
    • 845 vues
    • 19 réponses
    • 773 vues
    • 12 réponses
    • 610 vues
    • 4 réponses
    • 379 vues


  • Statistiques des forums

    • Total des sujets
      47,5 k
    • Total des messages
      288,1 k
  • Sujets

  • Messages

    • J’aimerai pouvoir l'installer mais impossible pour l'instant,j'ai envoyé un mail au support sogelink. Les bugs sont le lot commun de toutes nouvelles versions et pas que sous Mensura. Avec  la même licence tu peux exploiter la V10 et la V11 ? C'est bien ça pour te faire une idée Je vous tiendrai au courant du retour du support
    • Hello "Mon" PLINEORG fonctionne parfaitement sur AutoCAD MAP 2021 ! Voir le Lisp ci-dessous ... ACAD 2021-2023 : Mettre eventuellement : LISPSYS = 1 La Sante, Bye, lecrabe   ;;; ;;; (gile) 04/03/2007 - Appel par PLINEORG - www.cadxp.com - (gile) ;;; http://www.cadxp.com/modules.php?op=modload&name=XForum&file=viewthread&tid=14098#pid55578 ;;; Modifier le point origine d'une polyligne 2D fermée ;;; en principe dans les propriété de la polyligne le sommet appelé numéro 1 est le premier clicquer lors de la création. ;;; Moi j'aimerai bien pouvoir en changer en en choisissant un autre ;;; ;;; Edit : Fonctionne désormais avec les polylignes créées dans des systèmes de coordonnées non parallèles au SCG. ;;; Edit 2 : Prise en compte de remarques et suggestions de Bonuscad. ;;; ;;; MEMBER-FUZZ Comme MEMBER avec une tolérance dans la comparaison (defun member-fuzz (expr lst fuzz) (while (and lst (not (equal (car lst) expr fuzz))) (setq lst (cdr lst)) ) ) ;;; TRUNC-FUZZ Retourne la liste tronquée à partir de la première occurrence ;;; de l'expression (liste complémentaire de celle retournée par MEMBER-FUZZ) (defun trunc-fuzz (expr lst fuzz) (if (and lst (not (equal (car lst) expr)) ) (cons (car lst) (trunc-fuzz expr (cdr lst) fuzz)) ) ) ;;; PlineOrg Change le point de départ de la polyligne fermée (defun c:plineorg (/ erreur os pt ent plst dlst elst) (defun erreur (msg) (if (= msg "Fonction annulée") (princ) (princ (strcat "\nErreur: " msg)) ) (setvar "OSMODE" os) (setq *error* m:err m:err nil ) ) (setq m:err *error* *error* erreur os (getvar "OSMODE")) (setvar "OSMODE" 1) (if (and (setq pt (getpoint "\nSélectionnez le nouveau point de départ sur la polyligne: " ) ) (setq ent (car (nentselp pt))) (setq elst (entget ent)) (= "LWPOLYLINE" (cdr (assoc 0 elst))) (= 1 (logand 1 (cdr (assoc 70 elst)))) (setq plst (vl-remove-if-not '(lambda (x) (member (car x) '(10 40 41 42)) ) elst ) ) (setq dlst (member-fuzz (setq pt (cons 10 (reverse (cdr (reverse (trans pt 1 ent) ) ) ) ) ) plst 1e-9 ) ) (setq elst (vl-remove-if '(lambda (x) (member (car x) '(10 40 41 42)) ) elst ) ) ) (entmod (append elst dlst (trunc-fuzz pt plst 1e-9))) (prompt "\nEntité non valide.") ) (setvar "OSMODE" os) (setq *error* m:err m:err nil ) (princ) )  
    • Salut, Que veux-tu savoir ? Tu peux l'installer tout en continuant à utiliser la V10 juste pour te faire une idée par toi-même ! La très grosse évolution est le passage au Rubans et une amélioration de l'affichage, en plus de nouvelles commandes... et sans doute quelques petits bugs comme à chaque nouvelle version.
    • Bonjour @JPAGNY Je suis désolé de n'avoir pas de réponse à fournir dans ce cas. Ce n'est pas avec la commande publier, c'est bien tracer ? Amicalement
    • Existe depuis AutoCAD 12. A priori, ton hibernage a été plus long que prévu 🙂  @nG! Hebus  
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité